<!-- resources/views/home.blade.php -->



<?php $__env->startSection('title', 'Sign In Page'); ?>

<?php $__env->startSection('content'); ?>
<section class="position-relative h-80 pt-5 pb-4">

    <!-- Sign in form -->
    <div class="container d-flex flex-wrap justify-content-center justify-content-xl-start h-100 pt-5">
      <div class="w-100 align-self-end pt-1 pt-md-4 pb-4" style="max-width: 526px;">
        <h1 class="text-center text-xl-start">Welcome Back</h1>
        <p class="text-center text-xl-start pb-3 mb-3">Don’t have an account yet? <a href="<?php echo e(route('page.register')); ?>">Register here.</a></p>
        <?php if(session('status')): ?>
             <div class="alert alert-success"><?php echo e(session('status')); ?></div>
        <?php endif; ?>
        <?php if($errors->any()): ?>
            <div class="alert alert-danger mb-4">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <form action="<?php echo e(route('login')); ?>" method="POST" class="needs-validation mb-2" novalidate>
            <?php echo csrf_field(); ?>
            <div class="position-relative mb-4">
                <label for="email" class="form-label fs-base">Email</label>
                <input type="email" name="email" id="email" class="form-control form-control-lg" required>
                <div class="invalid-feedback position-absolute start-0 top-100">Please enter a valid email address!</div>
            </div>
            <div class="mb-4">
                <label for="password" class="form-label fs-base">Password</label>
                <div class="password-toggle">
                    <input type="password" name="password" id="password" class="form-control form-control-lg" required>
                    <label class="password-toggle-btn" aria-label="Show/hide password">
                        <input class="password-toggle-check" type="checkbox">
                        <span class="password-toggle-indicator"></span>
                    </label>
                    <div class="invalid-feedback position-absolute start-0 top-100">Please enter your password!</div>
                </div>
            </div>
            <div class="mb-4">
                <div class="form-check">
                    <input type="checkbox" id="remember" name="remember" class="form-check-input">
                    <label for="remember" class="form-check-label fs-base">Remember me</label>
                </div>
            </div>
            <button type="submit" class="btn btn-primary shadow-primary btn-lg w-100">Sign in</button>
        </form>

        
        <hr class="my-4">
        
      </div>
      
    </div>
    
    <!-- Background -->
    <div class="position-absolute top-0 end-0 w-50 h-100 bg-position-center bg-repeat-0 bg-size-cover d-none d-xl-block" style="background-image: url(assets/img/account/signin-bg.png);    z-index: -1;"></div>
  </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Mahmoud Ahmed\OneDrive\Desktop\stare_shine\star_shine\resources\views/login.blade.php ENDPATH**/ ?>