<!-- resources/views/home.blade.php -->



<?php $__env->startSection('title', 'Website Settings'); ?>

<?php $__env->startSection('content'); ?>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<link href="https://cdn.jsdelivr.net/npm/summernote@0.9.0/dist/summernote-lite.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/npm/summernote@0.9.0/dist/summernote-lite.min.js"></script>
<section class="container pt-5">
    <div class="row">


      <!-- Sidebar (User info + Account menu) -->
      <?php echo $__env->make('Admin.Include.aside_account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


      <!-- Account details -->
      <div class="col-md-8 offset-lg-1 pb-5 mb-2 mb-lg-4 pt-md-5 mt-n3 mt-md-0">
        <div class="ps-md-3 ps-lg-0 mt-md-2 py-md-4">
          <h1 class="h2 pt-xl-1 pb-3">Website Settings</h1>
          <div class="notification" id="notification">
            <?php if(session('success')): ?>
                <div class="alert alert-success fade show" role="alert">
                    <?php echo e(session('success')); ?>

                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            <?php endif; ?>
        
            <?php if(session('error')): ?>
                <div class="alert alert-warning fade show" role="alert">
                    <?php echo e(session('error')); ?>

                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            <?php endif; ?>
        </div>
    
    
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const notification = document.getElementById('notification');
            
            if (notification) {
                // استخدام دالة fadeOut لإخفاء الرسالة
                setTimeout(() => {
                    const alerts = notification.querySelectorAll('.alert');
                    alerts.forEach((alert) => {
                        // إخفاء الرسالة باستخدام Bootstrap
                        alert.classList.remove('show'); // إزالة الفئة show
                        alert.classList.add('fade'); // إضافة الفئة fade
                    });

                    // بعد 500 مللي ثانية، اجعل العنصر غير مرئي
                    setTimeout(() => {
                        notification.style.display = 'none';
                    }, 500); // يتطابق مع مدة الانتقال
                }, 5000); // انتظر 5 ثوانٍ
            }
        });
    </script>
          <!-- Basic info -->
          <h2 class="h5 text-primary mb-4">Basic info</h2>
          
          <form action="<?php echo e(route('settings.update')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
        
            <!-- Website Name -->
            <div class="mb-4">
                <label for="website_name" class="form-label">Website Name</label>
                <input type="text" id="website_name" name="website_name" class="form-control" value="<?php echo e(old('website_name', $settings->website_name)); ?>" required>
            </div>

            <div class="mb-4">
                <label for="website_description" class="form-label">Website Description</label>
                <input type="text" id="website_description" name="website_description" class="form-control" value="<?php echo e(old('website_description', $settings->website_description)); ?>" required>
            </div>
        
            <!-- Facebook -->
            <div class="mb-4">
                <label for="facebook" class="form-label">Facebook</label>
                <input type="url" id="facebook" name="facebook" class="form-control" value="<?php echo e(old('facebook', $settings->facebook)); ?>">
            </div>
        
            <!-- Twitter -->
            <div class="mb-4">
                <label for="twitter" class="form-label">Twitter</label>
                <input type="url" id="twitter" name="twitter" class="form-control" value="<?php echo e(old('twitter', $settings->twitter)); ?>">
            </div>
        
            <!-- YouTube -->
            <div class="mb-4">
                <label for="youtube" class="form-label">YouTube</label>
                <input type="url" id="youtube" name="youtube" class="form-control" value="<?php echo e(old('youtube', $settings->youtube)); ?>">
            </div>
        
            <!-- Instagram -->
            <div class="mb-4">
                <label for="instagram" class="form-label">Instagram</label>
                <input type="url" id="instagram" name="instagram" class="form-control" value="<?php echo e(old('instagram', $settings->instagram)); ?>">
            </div>
        
            <!-- Logo -->
            <div class="mb-4">
                <label for="logo" class="form-label">Logo</label>
                <input class="form-control" type="file" id="logo" name="logo" onchange="previewUpdateSettingsLogo(event)">
                <small class="form-text text-muted">Upload your image. Accepted formats: JPG, PNG, GIF. (150*60)</small><br>
                <?php if($settings->logo): ?>
                    <img id="updateSettingsLogoPreview" src="<?php echo e(asset('public/storage/' . $settings->logo)); ?>" alt="Logo Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <!-- Icon -->
            <div class="mb-4">
                <label for="icon" class="form-label">Icon</label>
                <input class="form-control" type="file" id="icon" name="icon" onchange="previewUpdateSettingsIcon(event)">
                <small class="form-text text-muted">Upload your image. Accepted formats: JPG, PNG, GIF. (50*50)</small><br>
                <?php if($settings->icon): ?>
                    <img id="updateSettingsIconPreview" src="<?php echo e(asset('public/storage/' . $settings->icon)); ?>" alt="Icon Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <!-- Store Price -->
            <div class="mb-4">
                <label for="store_price" class="form-label">Store Price</label>
                <input type="number" step="0.01" id="store_price" name="store_price" class="form-control form-control-lg" value="<?php echo e(old('store_price', $settings->store_price)); ?>" required>
                <div class="invalid-feedback">Please enter the store price!</div>
            </div>
        
            <!-- Currency -->
            <div class="mb-4">
                <label for="currency" class="form-label">Currency</label>
                <input type="text" id="currency" name="currency" class="form-control form-control-lg" value="<?php echo e(old('currency', $settings->currency)); ?>" required>
                <div class="invalid-feedback">Please enter the currency!</div>
            </div>
        
            <h2>About Us page</h2>
            <div class="mb-4">
                <label for="number_email" class="form-label">Email</label>
                <input id="number_email" name="number_email" class="form-control" value="<?php echo e(old('number_email', $settings->number_email)); ?>">
            </div>
            <div class="mb-4">
                <label for="number_phone" class="form-label">Phone</label>
                <input id="number_phone" name="number_phone" class="form-control" value="<?php echo e(old('number_phone', $settings->number_phone)); ?>">
            </div>
            <div class="mb-4">
                <label for="number_whatsapp" class="form-label">Whatsapp</label>
                <input id="number_whatsapp" name="number_whatsapp" class="form-control" value="<?php echo e(old('number_whatsapp', $settings->number_whatsapp)); ?>">
            </div>
            <!-- About Us Content -->
            <div class="mb-4">
                <label for="about_us" class="form-label">About Us Page Content</label>
                
                
                <textarea id="about_us" name="aboutUsContent" class="form-control form-control-lg"><?php echo e(old('aboutUsContent', $settings->aboutUsContent)); ?></textarea>
            </div>
            <script>
                $(document).ready(function() {
                    $('#about_us').summernote({
                        height: 300, // ارتفاع محرر Summernote
                        placeholder: 'اكتب هنا عن المتجر'
                    });
            
                    
                });
            </script>
        
        <div class="mb-4">
                <label for="terms_and_conditions" class="form-label">terms_and_conditions Page Content</label>
                
                
                <textarea id="terms_and_conditions" name="terms_and_conditions" class="form-control form-control-lg"><?php echo e(old('terms_and_conditions', $settings->terms_and_conditions)); ?></textarea>
            </div>
            <script>
                $(document).ready(function() {
                    $('#terms_and_conditions').summernote({
                        height: 300, // ارتفاع محرر Summernote
                        placeholder: 'اكت'
                    });
            
                    
                });
            </script>
        
            <!-- About Us Images -->
            <div class="mb-4">
                <label for="aboutUsImage1" class="form-label">About Us Image 1</label>
                
                <input class="form-control" type="file" id="aboutUsImage1" name="aboutUsImage1">
                
                <?php if($settings->aboutUsImage1): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->aboutUsImage1)); ?>" alt="About Us Image 1 Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <div class="mb-4">
                <label for="aboutUsImage2" class="form-label">About Us Image 2</label>
                <input class="form-control" type="file" id="aboutUsImage2" name="aboutUsImage2">
                <?php if($settings->aboutUsImage2): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->aboutUsImage2)); ?>" alt="About Us Image 2 Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <div class="mb-4">
                <label for="aboutUsImage3" class="form-label">About Us Image 3</label>
                <input class="form-control" type="file" id="aboutUsImage3" name="aboutUsImage3">
                <?php if($settings->aboutUsImage3): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->aboutUsImage3)); ?>" alt="About Us Image 3 Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <div class="mb-4">
                <label for="aboutUsImage4" class="form-label">About Us Image 4</label>
                <input class="form-control" type="file" id="aboutUsImage4" name="aboutUsImage4">
                <?php if($settings->aboutUsImage4): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->aboutUsImage4)); ?>" alt="About Us Image 4 Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <!-- Home Background -->
            <div class="mb-4">
                <label for="homeBackGround" class="form-label">Home Background</label>
                <input class="form-control" type="file" id="homeBackGround" name="homeBackGround">
                <?php if($settings->homeBackGround): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->homeBackGround)); ?>" alt="Home Background Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
        
            <!-- Home Text -->
            <div class="mb-4">
                <label for="homeText1" class="form-label">Home Text 1</label>
                <textarea id="homeText1" name="homeText1" class="form-control"><?php echo e(old('homeText1', $settings->homeText1)); ?></textarea>
            </div>
            <div class="mb-4">
                <label for="homeText2" class="form-label">Home Text 2</label>
                <textarea id="homeText2" name="homeText2" class="form-control"><?php echo e(old('homeText2', $settings->homeText2)); ?></textarea>
            </div>
            
            <div class="mb-4">
                <label for="homeAboutText" class="form-label">Home About Text</label>
                <textarea id="homeAboutText" name="homeAboutText" class="form-control"><?php echo e(old('homeAboutText', $settings->homeAboutText)); ?></textarea>
            </div>
        
            <!-- Home About Image -->
            <div class="mb-4">
                <label for="homeAboutImage" class="form-label">Home About Image</label>
                <input class="form-control" type="file" id="homeAboutImage" name="homeAboutImage">
                <?php if($settings->homeAboutImage): ?>
                    <img src="<?php echo e(asset('public/storage/' . $settings->homeAboutImage)); ?>" alt="Home About Image Preview" style="max-width: 30%; margin-top: 10px;">
                <?php endif; ?>
            </div>
            <h2>Payment setting</h2>
            <div class="mb-4">
                <label for="paymob" class="form-label">Enable Paymob</label>
                <input type="hidden" name="paymob" value="0"> <!-- Hidden field for unchecked state -->
                <input type="checkbox" id="paymob" name="paymob" value="1" <?php echo e(old('paymob', $settings->paymob) ? 'checked' : ''); ?>>
                <div class="invalid-feedback">Please enable Paymob!</div>
            </div>
            
            
            <div class="mb-4">
                <label for="api_key" class="form-label">api_key</label>
                <input type="text" id="api_key" name="api_key" class="form-control form-control-lg" value="<?php echo e(old('api_key', $settings->api_key)); ?>" required>
                <div class="invalid-feedback">Please enter the api_key!</div>
            </div>
            <div class="mb-4">
                <label for="integration_id" class="form-label">integration_id</label>
                <input type="number" id="integration_id" name="integration_id" class="form-control form-control-lg" value="<?php echo e(old('integration_id', $settings->integration_id)); ?>" required>
                <div class="invalid-feedback">Please enter the integration_id!</div>
            </div>
            <div class="mb-4">
                <label for="iframe_id" class="form-label">iframe_id</label>
                <input type="number" id="iframe_id" name="iframe_id" class="form-control form-control-lg" value="<?php echo e(old('iframe_id', $settings->iframe_id)); ?>" required>
                <div class="invalid-feedback">Please enter the iframe_id!</div>
            </div>
            <p>In Paymob dashboard, go to Developers -> Payment Integrations -> Choose your ID of cart method and click Edit.</p>
            <p>In Transaction Processed Callback, add https://riser-store.com/account/my-account/.</p>
            <p>In Transaction Response Callback, add https://riser-store.com/account/my-account/.</p>


            
        
            <button type="submit" class="btn btn-primary">Save Changes</button>
        </form>
        
        <script>
            function previewUpdateSettingsLogo(event) {
                const updateSettingsLogoPreview = document.getElementById('updateSettingsLogoPreview');
                const file = event.target.files[0];
                if (file) {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        updateSettingsLogoPreview.src = e.target.result;
                        updateSettingsLogoPreview.style.display = 'block';
                    }
                    reader.readAsDataURL(file);
                }
            }
        
            function previewUpdateSettingsIcon(event) {
                const updateSettingsIconPreview = document.getElementById('updateSettingsIconPreview');
                const file = event.target.files[0];
                if (file) {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        updateSettingsIconPreview.src = e.target.result;
                        updateSettingsIconPreview.style.display = 'block';
                    }
                    reader.readAsDataURL(file);
                }
            }
        </script>
        
    </div>


          
          

          <!-- Delete account -->
          
        </div>
      </div>
    </div>
  </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Mahmoud Ahmed\OneDrive\Desktop\stare_shine\star_shine\resources\views/admin/settings.blade.php ENDPATH**/ ?>