<!-- resources/views/home.blade.php -->



<?php $__env->startSection('title', 'Account Details'); ?>

<?php $__env->startSection('content'); ?>
<section class="container pt-5">
    <div class="row">

        <!-- Sidebar (User info + Account menu) -->
        <?php echo $__env->make('Include.aside_account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <!-- Account details -->
        <div class="col-md-8 offset-lg-1 pb-5 mb-2 mb-lg-4 pt-md-5 mt-n3 mt-md-0">
            <div class="ps-md-3 ps-lg-0 mt-md-2 py-md-4">
                <h1 class="h2 pt-xl-1 pb-3">Account Details</h1>
                <?php if($errors->any()): ?>
                <div class="alert alert-danger">
                    <ul>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <?php endif; ?>
                <?php if(session('success')): ?>
                <div class="alert alert-success">
                    <?php echo e(session('success')); ?>

                </div>
                <?php endif; ?>
                <?php if(session('error')): ?>
                <div class="alert alert-danger">
                    <?php echo e(session('error')); ?>

                </div>
                <?php endif; ?>
                <!-- Basic info -->
                <h2 class="h5 text-primary mb-4">Basic Information</h2>
                <?php
                    $user = \App\Models\User::where('id', Auth::user()->id)->first();
                    if($user->isTeacher()){
                        $teacher = \App\Models\Teacher::where('user_id', Auth::user()->id)->first();
                    }
                    if($user->isStudent()){
                        $student = \App\Models\Student::where('user_id', Auth::user()->id)->first();
                    }
                ?>

                <form class="needs-validation border-bottom pb-3 pb-lg-4" method="POST" action="<?php echo e(route('auth.update', $user->id)); ?>" novalidate>
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?> <!-- or PATCH based on your routing -->

                    <div class="row pb-2">
                        <div class="col-sm-6 mb-4">
                            <label for="fn" class="form-label fs-base">Full Name</label>
                            <input type="text" id="fn" name="name" class="form-control form-control-lg" value="<?php echo e(old('name', $user->name)); ?>" required>
                            <div class="invalid-feedback">Please enter your full name!</div>
                        </div>

                        <div class="col-sm-6 mb-4">
                            <label for="email" class="form-label fs-base">Email Address</label>
                            <input type="email" id="email" name="email" class="form-control form-control-lg" value="<?php echo e(old('email', $user->email)); ?>" required>
                            <div class="invalid-feedback">Please provide a valid email address!</div>
                        </div>

                        

                        <!-- Display student-specific data if the user is a student -->
                        <?php if($user->isStudent()): ?>
                            <div class="col-sm-6 mb-4">
                                <label for="age" class="form-label fs-base">Age</label>
                                <input type="number" id="age" name="age" class="form-control form-control-lg" value="<?php echo e(old('age', $student->age ?? '')); ?>">
                            </div>
                            <div class="col-sm-6 mb-4">
                                <label for="grade_level" class="form-label fs-base">Grade Level</label>
                                <input type="text" id="grade_level" name="grade_level" class="form-control form-control-lg" value="<?php echo e(old('grade_level', $student->grade_level ?? '')); ?>">
                            </div>
                            <div class="col-sm-6 mb-4">
                                <label for="system" class="form-label fs-base">System</label>
                                <input type="text" id="system" name="system" class="form-control form-control-lg" value="<?php echo e(old('system', $student->system ?? '')); ?>">
                            </div>
                        <?php endif; ?>

                        <!-- Display teacher-specific data if the user is a teacher -->
                        <?php if($user->isTeacher()): ?>
                            <div class="col-sm-6 mb-4">
                                <label for="subject" class="form-label fs-base">Subject</label>
                                <input type="text" id="subject" name="subject" class="form-control form-control-lg" value="<?php echo e(old('subject', $teacher->subject ?? '')); ?>">
                            </div>
                            <div class="col-sm-6 mb-4">
                                <label for="price_per_session" class="form-label fs-base">Price per Session</label>
                                <input type="number" id="price_per_session" name="price_per_session" class="form-control form-control-lg" value="<?php echo e(old('price_per_session', $teacher->price_per_session ?? '')); ?>">
                            </div>
                            <div class="col-sm-6 mb-4">
                                <label for="profile_photo" class="form-label fs-base">Profile Photo</label>
                                <input type="file" id="profile_photo" name="profile_photo" class="form-control form-control-lg">
                            </div>
                        <?php endif; ?>
                    </div>

                    <div class="d-flex mb-3">
                        <button type="submit" class="btn btn-primary">Save Changes</button>
                    </div>
                </form>

                

                <div class="form-check mb-4">
                </div>
                
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Mahmoud Ahmed\OneDrive\Desktop\stare_shine\star_shine\resources\views/account_details.blade.php ENDPATH**/ ?>